## LimeSuite-19.01.0.tar.gz

=== QuickTest/CMakeLists.txt ===
cmake_dependent_option(ENABLE_QUICKTEST "LimeSDR quick test utility" ON "ENABLE_LIBRARY" OFF)
add_feature_info(LimeQuickTest ENABLE_QUICKTEST "LimeSDR-QuickTest Utility")

if(ENABLE_QUICKTEST)
    add_executable(LimeQuickTest
		   LimeSDRTest.cpp
		   LimeSDRTest_Mini.cpp
		   LimeSDRTest_USB.cpp
        	   TestGUI.cpp
		   resources/resource.rc
		   ${PROJECT_SOURCE_DIR}/external/kissFFT/kiss_fft.c)
    target_link_libraries(LimeQuickTest
		      LimeSuite
		      ${FLTK_LDFLAGS}
		      ${FLTK_LIBRARIES}
		      ${GLUT_LIBRARY}
		      )
    #find FLTK
    set(FLTK_SKIP_FLUID true)
    find_package(FLTK)
    execute_process(COMMAND fltk-config --ldflags OUTPUT_VARIABLE FLTK_LDFLAGS OUTPUT_STRIP_TRAILING_WHITESPACE)
    if (FLTK_FOUND)
   	include_directories(${FLTK_INCLUDE_DIR})
	target_compile_definitions(LimeQuickTest PRIVATE -DQUICKTEST_GUI)
    	target_link_libraries(LimeQuickTest
		      ${FLTK_LDFLAGS}
		      ${FLTK_LIBRARIES}
		      ${GLUT_LIBRARY}
		      )
    endif()
    install(TARGETS LimeQuickTest DESTINATION bin)
endif()

=== debian/control ===
Source: limesuite
Section: comm
Priority: optional
Maintainer: Lime Microsystems <info@limemicro.com>
Build-Depends:
    debhelper (>= 9.0.0),
    cmake (>= 3.1.3),
    libusb-1.0-0-dev,
    libwxgtk3.0-dev,
    libsoapysdr-dev,
    freeglut3-dev,
    libfltk1.3-dev,
    fluid,
Standards-Version: 4.1.1
Homepage: https://myriadrf.org/projects/lime-suite/
Vcs-Git: https://github.com/myriadrf/LimeSuite.git
Vcs-Browser: https://github.com/myriadrf/LimeSuite.git

Package: liblimesuite19.01-1
Section: libs
Architecture: any
Multi-Arch: same
Pre-Depends: ${misc:Pre-Depends}
Depends: ${shlibs:Depends}, ${misc:Depends}
Recommends: limesuite-udev, limesuite-images
Description: Lime Suite - shared library
 Lime Suite application software.

Package: liblimesuite-dev
Section: libdevel
Architecture: any
Depends:
    liblimesuite19.01-1 (= ${binary:Version}),
    ${misc:Depends}
Description: Lime Suite - development files
 Lime Suite application software.

Package: limesuite
Section: comm
Architecture: any
Depends:
    liblimesuite19.01-1 (= ${binary:Version}),
    ${shlibs:Depends},
    ${misc:Depends},
    xdg-utils
Description: Lime Suite - Library applications
 Lime Suite application software.

Package: soapysdr-module-lms7
Section: libs
Architecture: all
Pre-Depends: ${misc:Pre-Depends}
Depends: soapysdr0.7-module-lms7, ${misc:Depends}
Description: Lime Suite - SoapySDR bindings metapackage
 Lime Suite application software.

Package: soapysdr0.7-module-lms7
Section: comm
Architecture: any
Multi-Arch: same
Depends:
    liblimesuite19.01-1 (= ${binary:Version}),
    ${shlibs:Depends},
    ${misc:Depends}
Description: Lime Suite - SoapySDR bindings
 Lime Suite application software.

Package: limesuite-udev
Section: libs
Architecture: any
Multi-Arch: same
Depends: ${shlibs:Depends}, ${misc:Depends}, udev
Description: Lime Suite - USB rules for udev
 Lime Suite application software.

Package: limesuite-images19.01
Section: libs
Architecture: any
Multi-Arch: same
Depends: ${shlibs:Depends}, ${misc:Depends}, wget
Description: Lime Suite - Install firmware and gateware images
 Lime Suite application software.
 .
 This is dummy package that downloads the images from the web.

Package: limesuite-images
Section: libs
Architecture: any
Multi-Arch: same
Depends: ${shlibs:Depends}, ${misc:Depends}, limesuite-images19.01
Description: Lime Suite - Install firmware and gateware images
 Lime Suite application software.
 .
 This is an empty dependency package that pulls in the images
 for the default version of Lime Suite.
